# Uses of Enum Class
com.sun.mirror.type.PrimitiveType.Kind

Packages that use PrimitiveType.Kind
Package
Description
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of PrimitiveType.Kind in com.sun.mirror.type

Methods in com.sun.mirror.type that return PrimitiveType.Kind
Modifier and Type
Method
Description
`PrimitiveType.Kind`
PrimitiveType.`getKind()`
Returns the kind of primitive type that this object represents.
`static PrimitiveType.Kind`
PrimitiveType.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrimitiveType.Kind[]`
PrimitiveType.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of PrimitiveType.Kind in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type PrimitiveType.Kind
Modifier and Type
Method
Description
`PrimitiveType`
Types.`getPrimitiveType(PrimitiveType.Kind kind)`
Returns a primitive type.